---
include:
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools/\
      pipeline/-/raw/main/source/gitlab-ci/pipeline.yml"

variables:
  DISABLE_JOBS: "build, test, release"
  ENABLE_JOBS: "shellcheck, markdownlint-cli2, markdown-link-check,
    yamllint, cspell, alexjs"

  # The local name of the Docker image built by the build command and
  # tested by the test command. Ignored, if build doesn't produce an image.
  IMAGE_NAME: $CI_PROJECT_NAME:latest

  BUILD_COMMAND: ./bin/build.sh
  TEST_COMMAND: ./bin/test.sh
  PREPARE_RELEASE_COMMAND: ./bin/prepare-release.sh
